Skip to content

This page describes Revolution release 149.

Search these docs, or ask Revo a question — answers link the pages they came from.

Used to save the current schedule parameters


PUT
/api/v1/{tenantId}/schedule/{scheduleId}/parameters

Plugin API access: this operation accepts a plugin JWT (PluginBearer) for its own tenant.

tenantId
required
string
scheduleId
required
string
object
parameters
Array<object>
nullable
object
name
string
nullable
primitiveType
string
nullable
suppliedBySystem
boolean
requiredByRun
boolean
isInput
boolean
nullable
defaultValue
string
nullable
expectedRevision
integer format: int64
nullable

OK

object
revision
integer format: int64
nullable
properties
object
pacingMode
string
nullable
priority
integer format: int32
pacingTimeSeconds
number format: double
suspendChildThreadStartOnError
boolean
isEntryPoint
boolean
parameters
Array<object>
nullable
object
name
string
nullable
primitiveType
string
nullable
suppliedBySystem
boolean
requiredByRun
boolean
isInput
boolean
nullable
defaultValue
string
nullable

Bad Request

object
message
string
nullable
code
string
nullable
retryable
boolean
nullable
field
string
nullable
data
nullable

Not Found

object
message
string
nullable
code
string
nullable
retryable
boolean
nullable
field
string
nullable
data
nullable

Conflict

object
message
string
nullable
code
string
nullable
retryable
boolean
nullable
field
string
nullable
data
nullable

Unprocessable Content

object
message
string
nullable
code
string
nullable
retryable
boolean
nullable
field
string
nullable
data
nullable

Locked

object
message
string
nullable
code
string
nullable
retryable
boolean
nullable
field
string
nullable
data
nullable

Too Many Requests

object
message
string
nullable
code
string
nullable
retryable
boolean
nullable
field
string
nullable
data
nullable

Service Unavailable

object
message
string
nullable
code
string
nullable
retryable
boolean
nullable
field
string
nullable
data
nullable

Gateway Timeout

object
message
string
nullable
code
string
nullable
retryable
boolean
nullable
field
string
nullable
data
nullable